=== lib/cryptopp/Makefile ===
URL := http://prdownloads.sourceforge.net/cryptopp/cryptopp561.zip
AUTOMAKE_ROMFS = cryptopp_romfs
include $(ROOTDIR)/tools/automake.inc

cryptopp_romfs:
	$(ROMFSINST) build/cryptopp561-install/lib/libcryptopp.so /lib/libcryptopp.so
