=== user/ser/debian/changelog ===
ser (0.9.5-0.1) unstable; urgency=low

  * new upstream release (bug fixes) 

 -- Andrei Pelinescu-Onciul <andrei@iptel.org>  Thu, 15 Dec 2005 17:59:15 +0200

ser (0.9.4-0.2) unstable; urgency=low

  * minor debian rules clean target fix 

 -- Andrei Pelinescu-Onciul <andrei@iptel.org>  Wed, 02 Nov 2005 17:46:55 +0200

ser (0.9.4-0.1) unstable; urgency=low

  * new upstream minor release 

 -- Andrei Pelinescu-Onciul <andrei@iptel.org>  Fri, 02 Sep 2005 14:49:37 +0200

ser (0.9.3-0.2) unstable; urgency=low

  * missing init.d/ser fixed 

 -- Andrei Pelinescu-Onciul <andrei@iptel.org>  Tue, 28 Jun 2005 23:56:05 +0200

ser (0.9.3-0.1) unstable; urgency=low

  * new upstream release 
  * added ser-cpl-module, ser-pa-module, ser-postgres-module,
    ser-acc-db-module and ser-acc-radius-module
  * ser-radius-modules depend now on libradiusclient-ng2 
    (not in official Debian archives)

 -- Andrei Pelinescu-Onciul <andrei@iptel.org>  Thu, 23 Jun 2005 16:43:35 +0200

ser (0.8.14) unstable; urgency=low

  * new upstream release 

 -- Andrei Pelinescu-Onciul <pelinescu-onciul@fokus.fraunhofer.de>  Fri, 23 Jul 2004 16:00:04 +0200

ser (0.8.12) unstable; urgency=low

  * new upstream release (improved tcp support, set_advertised_address a.s.o)

 -- Andrei Pelinescu-Onciul <pelinescu-onciul@fokus.fraunhofer.de>  Fri, 14 Nov 2003 16:41:05 +0200

ser (0.8.11) unstable; urgency=low

  * new upstream release

 -- Andrei Pelinescu-Onciul <pelinescu-onciul@fokus.fraunhofer.de>  Wed, 27 Aug 2003 14:53:24 +0200

ser (0.8.11-pre34) unstable; urgency=low

  * minor bugfixes

  * debian packaging changes (debhelper 4.0, init & postinst cleanups, added
    examples, a.s.o)

 -- Andrei Pelinescu-Onciul <pelinescu-onciul@fokus.fraunhofer.de>  Fri, 27 Jun 2003 15:14:52 +0200

ser (0.8.11-pre30) unstable; urgency=low

  * minor bugfixes

  * debian packaging changes (added conflicts)

 -- Andrei Pelinescu-Onciul <pelinescu-onciul@fokus.fraunhofer.de>  Fri, 06 Jun 2003 14:03:29 +0200

ser (0.8.11-pre29) unstable; urgency=low

  * RFC3261 support (TCP, loose routing)

  * lots of new modules:  rich access control lists (permissions), database in
    textfile support (dbtext), presence agent (pa), enum support (enum),
    voicemail interface (vm), NAT traversal utility for Cisco/ATA NAT
    (nathelper)

  * arhitectural  improvements

 -- Andrei Pelinescu-Onciul <pelinescu-onciul@fokus.fraunhofer.de>  Fri, 30 May 2003 18:11:52 +0200

ser (0.8.10) unstable; urgency=low

 * fixes lots of  bugs in 0.8.9 (log not working, ipv6 address conversion)

 * introduces port support in uri matching with myself

 * faster hash function (statefull performance increase ~10%)

 * modules updates (sms, jabber)

 * the jabber module is in a separate package now (it depends on libexpat)

 -- Andrei Pelinescu-Onciul <pelinescu-onciul@fokus.gmd.de>  Tue, 4 Nov 2002 17:23:37 +0200

ser (0.8.9) unstable; urgency=low

  * fixes a few bugs in 0.8.8 (primary some modules which where linked to some bad libs)

 -- Andrei Pelinescu-Onciul <pelinescu-onciul@fokus.gmd.de>  Wed, 7 Oct 2002 16:49:05 +0200

ser (0.8.8) unstable; urgency=low

  * first release (really this time)

 -- Andrei Pelinescu-Onciul <pelinescu-onciul@fokus.gmd.de>  Wed, 25 Sep 2002 23:27:11 +0200

ser (0.8.7.16) unstable; urgency=low

  * First Public Release.

 -- Andrei Pelinescu-Onciul <pelinescu-onciul@fokus.gmd.de>  Tue, 24 Sep 2002 21:33:39 +0200

ser (0.8.7.6-1) unstable; urgency=low

  * Initial Release.

 -- Andrei Pelinescu-Onciul <pelinescu-onciul@fokus.gmd.de>  Tue, 16 Jul 2002 15:41:31 +0200
