=== user/speedtouch/debian/changelog ===
speedtouch (1.3-1) unstable; urgency=low

  * New upstream release (adding hotplug, removing spurious hotplug events)

 -- Benoit PAPILLAULT <benoit.papillault@free.fr>  Fri, 23 Apr 2004 00:50:44 +0200

speedtouch (1.2-1) unstable; urgency=low

  * New upstream release

 -- Benoit PAPILLAULT <benoit.papillault@free.fr>  Tue, 16 Mar 2004 21:29:04 +0100

speedtouch (1.2-0beta3) unstable; urgency=low

  * New upstream release

 -- Edouard Gomez <ed.gomez@free.fr>  Sat,  2 Aug 2003 22:29:08 +0200

speedtouch (1.2-0beta2) unstable; urgency=low

  * New upstream release

 -- Edouard Gomez <ed.gomez@free.fr>  Fri, 27 Jun 2003 23:51:17 +0200

speedtouch (1.2-0beta1) unstable; urgency=low

  * Maintaining the debian package myself.

 -- Edouard Gomez <ed.gomez@free.fr>  Fri, 31 Jan 2003 22:36:40 +0100

speedtouch (1.0-1) unstable; urgency=low

  * CVS version will always be higher than any uploaded release, and 
     will be incremented just after a release. This file will not be 
     maintained as a proper changelog, just a stub containing this 
     message and an appropriate version number to outstrip official 
     Debian packages.

 -- Robert McQueen <robot101@debian.org>  Fri, 19 Apr 2002 01:21:12 +0100
