=== user/ulogd2/debian/changelog ===
ulogd (2.00beta1) unstable; urgency=low

  * initial debian release

 -- Harald Welte <laforge@netfilter.org>  Sat, 07 Jan 2006 15:55:51 +0100
