=== user/xl2tpd/debian/changelog ===
xl2tpd (1.1.11.dfsg.1-2) unstable; urgency=low

  * Added missing copyright notices.

 -- Roberto C. Sanchez <roberto@connexer.com>  Fri,  3 Aug 2007 14:13:23 -0400

xl2tpd (1.1.11.dfsg.1-1) unstable; urgency=low

  * Initial release (Closes: #427113, 402660)
  * Make l2tpd obsolete (Closes: #358799)
  * Repackage upstream tarball to remove non-free RFC (Closes: #393381)

 -- Roberto C. Sanchez <roberto@connexer.com>  Tue, 31 Jul 2007 20:57:23 -0400
