=== user/elvis-tiny/debian/control ===
Source: elvis-tiny
Section: base
Priority: standard
Maintainer: Miquel van Smoorenburg <miquels@cistron.nl>
Standards-Version: 2.4.0.0

Package: elvis-tiny
Architecture: any
Pre-depends: ${shlibs:Depends}
Description: Tiny vi compatible editor for the base system.
 Elvis-tiny is based on a 1991 Minix version of elvis. You should install
 another vi-editor (such as "elvis", "nvi" or "vim") if you want a full
 featured vi editor.
