=== user/speedtouch/debian/control ===
Source: speedtouch
Section: contrib/net
Priority: optional
Maintainer: Robert McQueen <robot101@debian.org>
Build-Depends: debhelper (>= 3)
Standards-Version: 3.5.6

Package: speedtouch
Architecture: any
Depends: ${shlibs:Depends}, ppp, hotplug, pppoe
Description: userspace driver for Alcatel Speedtouch USB ADSL Adapter
 * THIS IS AN UNOFFICIAL PACKAGE BUILT FROM UPSTREAM CVS *
 .
 This package contains userspace utilities and daemons necessary to get 
 the Alcatel Speedtouch USB ADSL Adapter working in Linux without any 
 (mandatory) kernel patches.
 .
 These drivers are GPLed and reverse engineered from scratch, and
 provide an alternative to the official drivers which require kernel
 patches and a binary-only management utility. However, they do require
 a file containing the firmware for the adapter, such as mgmt.o from
 the Linux management utility, or alcaudsl.sys from the Windows drivers.
 .
 The drivers communicate with the adapter via usbdevfs in /proc/bus/usb.
 The 'modem_run' utility locates the adapter, initialises it, uploads
 the firmware, and monitors the ADSL line, and the 'pppoa3' daemon 
 passes ATM frames between the ADSL adapter and the pppd process.
