=== user/ulogd2/debian/control ===
Source: ulogd
Section: net
Priority: optional
Maintainer: Harald Welte <laforge@netfilter.org>
Build-Depends: cdbs (>= 0.4), debhelper (>= 4.2), gcc (>= 3.4), libnfnetlink-dev (>= 0.0.13), libnetfilter-conntrack-dev (>= 0.0.28), libnetfilter-log-dev (>= 0.0.12), libmysqlclient-dev, libpq-dev, libpcap-dev, libsqlite-dev
Standards-Version: 3.6.2

Package: ulogd
Architecture: any
Depends: ${shlibs:Depends}
Description: Userspace logging daemon for netfilter/iptables

Package: ulogd-output-pgsql
Architecture: any
Depends: ${shlibs:Depends}, ulogd (= ${Source-Version})
Description: Userspace logging daemon for netfilter/iptables
 The userspace connection tracking table administration program.
 .
 This package provides the PostgreSQL output plugin.

Package: ulogd-output-mysql
Architecture: any
Depends: ${shlibs:Depends}, ulogd (= ${Source-Version})
Description: Userspace logging daemon for netfilter/iptables
 .
 This package provides the MySQL output plugin.

Package: ulogd-output-pcap
Architecture: any
Depends: ${shlibs:Depends}, ulogd (= ${Source-Version})
Description: Userspace logging daemon for netfilter/iptables
 .
 This package provides the PCAP output plugin.

Package: ulogd-output-sqlite3
Architecture: any
Depends: ${shlibs:Depends}, ulogd (= ${Source-Version})
Description: Userspace logging daemon for netfilter/iptables
 .
 This package provides the SQLITE3 output plugin.

Package: ulogd-input-nflog
Architecture: any
Depends: ${shlibs:Depends}, ulogd (= ${Source-Version})
Description: Userspace logging daemon for netfilter/iptables
 .
 This package provides the NFLOG input plugin.

Package: ulogd-input-nfct
Architecture: any
Depends: ${shlibs:Depends}, ulogd (= ${Source-Version})
Description: Userspace logging daemon for netfilter/iptables
 .
 This package provides the conntrack_netlink input plugin.
