=== user/xl2tpd/debian/control ===
Source: xl2tpd
Section: net
Priority: optional
Maintainer: Roberto C. Sanchez <roberto@connexer.com>
Build-Depends: debhelper (>= 5)
Standards-Version: 3.7.2

Package: xl2tpd
Architecture: any
Provides: l2tpd
# For Ubuntu dapper drake, use:
#Replaces: l2tpd (<< ${source-Version})
Replaces: l2tpd (<< ${source:Version})
Depends: ${shlibs:Depends}, ${misc:Depends}, ppp
Description: a layer 2 tunneling protocol implementation
 xl2tpd is an open source implementation of the L2TP tunneling
 protocol (RFC2661).  xl2tpd is forked from l2tpd and is maintained by
 Xelerance Corporation.
 .
 This package replaces the obsolete and unmaintained l2tpd.
 .
 The main purpose of this protocol is to tunnel PPP frames through IP
 networks.  It implements both LAC and LNS role in the L2TP networking
 architecture.
 .
 Homepage: http://www.xelerance.com/software/xl2tpd/

Package: l2tpd
Architecture: all
Depends: xl2tpd
Description: dummy package for l2tpd to xl2tpd transition
 Dummy package to upgrade to the new xl2tpd package.
