=== user/ulogd2/debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-

UPSTREAM_VERSION := $(shell dpkg-parsechangelog | egrep '^Version:' | cut -f2 -d' ' | cut -f1 -d-)
DEB_TARBALL := ulogd-$(UPSTREAM_VERSION).tar.bz2
DEB_TAR_SRCDIR := ulogd-$(UPSTREAM_VERSION)

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk

DEB_DH_INSTALL_SOURCEDIR := debian/tmp
